drop table if exists user_log_types cascade;
create table user_log_types(
	user_log_type_id serial not null,
	type_name varchar(64),
	constraint user_log_types_pkey primary key( user_log_type_id )
);

comment on table user_log_types is 'storage of user log types';
comment on column user_log_types.user_log_type_id is 'unique id of table';
comment on column user_log_types.type_name is 'name of the type';
comment on constraint user_log_types_pkey on user_log_types is 'unique constraint of table';

insert into user_log_types( type_name ) values ('general' );
insert into user_log_types( type_name ) values ('monetary' );
insert into user_log_types( type_name ) values ('login' );
insert into user_log_types( type_name ) values ('browse' );
insert into user_log_types( type_name ) values ('job_offer' );
insert into user_log_types( type_name ) values ('job_quote' );

